%global _desc %{expand:
Jupyter-Sphinx enables running code embedded in Sphinx documentation and
embedding output of that code into the resulting document.  It has
support for rich output such as images and even Jupyter interactive
widgets.}

Summary:        Jupyter Sphinx extensions
Name:           python-jupyter-sphinx
Version:        0.5.3
Release:        4%{?dist}
License:        BSD-3-Clause
URL:            https://jupyter-sphinx.readthedocs.io/
Source0:        https://github.com/jupyter/jupyter-sphinx/archive/v%{version}/jupyter-sphinx-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  python3-devel
BuildArch:      noarch

%description %_desc

%package -n python3-jupyter-sphinx
Summary:        Jupyter Sphinx extensions

%description -n python3-jupyter-sphinx %_desc

%package        doc
Summary:        Documentation for %{name}
License:        BSD-3-Clause AND BSD-2-Clause AND MIT

%description    doc
Documentation for %{name}.

%prep
%autosetup -n jupyter-sphinx-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x doc,test

%build
%pyproject_wheel

PYTHONPATH=$PWD make -C doc html
rm doc/build/html/.buildinfo

%install
%pyproject_install
%pyproject_save_files jupyter_sphinx

%check
export JUPYTER_PLATFORM_DIRS=1
%pytest

%files -n python3-jupyter-sphinx -f %{pyproject_files}
%doc README.md

%files doc
%doc doc/build/html

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.5.3-4
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.5.3-3
- Rebuilt for loongarch64

* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.5.3-2
- Rebuilt for loongarch64

* Fri Jun 14 2024 Shuo Wang <abushwang@tencent.com> - 0.5.3-1
- initial build
